package com.jh.core.security;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.jh.core.security.model.ResetPasswordToken;

@Repository
public interface ResetPasswordRepository extends JpaRepository<ResetPasswordToken, Long> {

//	public AppUser registerUser(String username, String password) {
//		AppUser user = new AppUser();
//		user.setLogin(username);
//		
//		PasswordHash hash = PasswordUtils.hashPassword(password);
//		user.setPassword(hash.getHash());
//		user.setPasswordSalt(hash.getSalt());
//		
//		user.setAccountEnabled(true);
//		user.setAccountExpired(false);
//		user.setPasswordChanged(new Date());
//		user.setPasswordExpired(false);
//		
//		entityManager.persist(user);
//		
//		return user;
//	}

	@Query("select au from ResetPasswordToken au where lower(au.login) = :login and lower(au.token) = :token and (au.used is null or au.used is false)")
	ResetPasswordToken findResetPasswordToken(@Param("login") String login, @Param("token") String token);
	
}
