package com.jh.core.security;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;


/**
 * The Class UserAuthenticationProvider.
 */
//TODO
public class AuthServiceAuthenticationProvider implements AuthenticationProvider {

    /** The auth service. */
	@Autowired(required = false)
    private AuthService authService;
    
    public AuthServiceAuthenticationProvider() {
    }
    
    public AuthServiceAuthenticationProvider(AuthService authService) {
    	this.authService = authService;
    }
    
    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        String email = String.valueOf(authentication.getPrincipal());
        String password = String.valueOf(authentication.getCredentials());
        
        //TODO refactor
        return authService.authenticate(email, password);
    }
    
    @Override
    public boolean supports(Class<?> authentication) {
        return true;
    }

}
